Bug 53797 - new ports directory request
Summary: new ports directory request
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-26 22:50 UTC by Aleksander Fafula
Modified: 2003-09-10 09:03 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksander Fafula 2003-06-26 22:50:16 UTC
Please create /usr/ports/polish subdir for Polish users ports.

Ports that will be moved or created in very near future 
(just after creating /usr/ports/polish):
ekg (pr've been sent)
gadu (already in ports)
pl-sms (already in ports)
i18ns for kde  (in ports)
i18ns for koffice (in ports)
pl-aspell / pl-ispell (in ports)
pl-tcsh  (ready for submitting)
php_doc (ready for submitting - creating first directory'd be better)
openoffice (ready for submitting)
staroffice  (ready for submitting)
and so on

Fix: 

:) no fixes 
mkdir /usr/ports/polish
How-To-Repeat: mkdir /usr/ports/polish
Comment 1 Tilman Keskinoz freebsd_committer 2003-06-26 22:52:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to portmgr for approval. 

There are currently 5 ports in the tree, and Alexander promised more, 
so I think this is a reasonable request.  

I volunteer, to complete the necessary repocopies.
Comment 2 Kris Kennaway freebsd_committer 2003-08-16 00:00:50 UTC
State Changed
From-To: open->closed

Category added, thanks!
Comment 3 Tilman Keskinoz freebsd_committer 2003-08-16 19:27:50 UTC
State Changed
From-To: closed->open

Reopen, I need a reminder which ports I need to ask for repocopies 


Comment 4 Tilman Keskinoz freebsd_committer 2003-08-16 19:27:50 UTC
Responsible Changed
From-To: portmgr->arved

portmgrs have done their part, now It's my turn.
Comment 5 Tilman Keskinoz freebsd_committer 2003-08-16 19:42:00 UTC
Hi portmgr,

Thanks for adding the new category.
Now its time to populate it.

I would like to request the following repocopies:

ports/net/ekg -> ports/polish/ekg
ports/net/gnugadu -> ports/polish/gnugadu
ports/misc/pl-sms -> ports/polish/pl-sms
ports/misc/kde3-i18n-pl -> ports/polish/kde3-i18n
ports/misc/koffice-i18n-pl -> ports/polish/koffice-i18n
ports/textproc/pl-aspell -> ports/polish/aspell

regards
tilman
Comment 6 Ceri Davies freebsd_committer 2003-08-25 19:27:48 UTC
Adding to audit trail, from misfiled PR ports/55635:

Date: Sat, 16 Aug 2003 14:52:54 -0400
From: Joe Marcus Clarke <marcus@marcuscom.com>
Message-Id: <1061059974.54862.9.camel@shumai.marcuscom.com>
References: <200308162042.00266.arved@FreeBSD.org>

 On Sat, 2003-08-16 at 14:42, Tilman Linneweh wrote:
 > Hi portmgr,
 >=20
 > Thanks for adding the new category.
 > Now its time to populate it.
 >=20
 > I would like to request the following repocopies:
 >=20
 > ports/net/ekg -> ports/polish/ekg
 > ports/net/gnugadu -> ports/polish/gnugadu
 > ports/misc/pl-sms -> ports/polish/pl-sms
 
 There will be an implicit pl- PKGNAMEPREFIX on all ports in the polish
 category.  Therefore, you should do misc/pl-sms -> polish/sms.
 
 > ports/misc/kde3-i18n-pl -> ports/polish/kde3-i18n
 > ports/misc/koffice-i18n-pl -> ports/polish/koffice-i18n
 > ports/textproc/pl-aspell -> ports/polish/aspell
 
 There reset look okay.  Approved.
 
 Joe
 
 >=20
 > regards
 > tilman
 --=20
 PGP Key : http://www.marcuscom.com/pgp.asc
Comment 7 Ceri Davies freebsd_committer 2003-08-25 19:28:16 UTC
Adding to audit trail, from misfiled PR ports/55695:

Date: Mon, 18 Aug 2003 15:10:02 +0100
From: Josef Karthauser <joe@FreeBSD.org>
Message-Id: <20030818141002.GA14993@genius.tao.org.uk>
References: <200308162042.00266.arved@FreeBSD.org> <1061059974.54862.9.camel@shumai.marcuscom.com>

 On Sat, Aug 16, 2003 at 02:52:54PM -0400, Joe Marcus Clarke wrote:
 > On Sat, 2003-08-16 at 14:42, Tilman Linneweh wrote:
 > > Hi portmgr,
 > >
 > > Thanks for adding the new category.
 > > Now its time to populate it.
 > >
 > > I would like to request the following repocopies:
 > >
 > > ports/net/ekg -> ports/polish/ekg
 > > ports/net/gnugadu -> ports/polish/gnugadu
 > > ports/misc/pl-sms -> ports/polish/pl-sms
 >
 > There will be an implicit pl- PKGNAMEPREFIX on all ports in the polish
 > category.  Therefore, you should do misc/pl-sms -> polish/sms.
 >
 > > ports/misc/kde3-i18n-pl -> ports/polish/kde3-i18n
 > > ports/misc/koffice-i18n-pl -> ports/polish/koffice-i18n
 > > ports/textproc/pl-aspell -> ports/polish/aspell
 >
 > There reset look okay.  Approved.
 >
 > Joe
 
 I've repocopied all the above, including Joe's suggested change.
 
 Joe
 --
 Josef Karthauser (joe@tao.org.uk)	       http://www.josef-k.net/
 FreeBSD (cvs meister, admin and hacker)     http://www.uk.FreeBSD.org/
 Physics Particle Theory (student)   http://www.pact.cpes.sussex.ac.uk/
 An eclectic mix of fact an d theory.
Comment 8 Ceri Davies freebsd_committer 2003-08-25 19:28:46 UTC
Adding to audit trail, from misfiled PR ports/55731:

Date: Tue, 19 Aug 2003 12:14:57 +0200
From: Tilman Linneweh <arved@FreeBSD.org>
Message-Id: <1061288097.23643.229.camel@sauna.arved.de>
References: <200308162042.00266.arved@FreeBSD.org> <1061059974.54862.9.camel@shumai.marcuscom.com>

 On Sat, 2003-08-16 at 20:52, Joe Marcus Clarke wrote:
 > On Sat, 2003-08-16 at 14:42, Tilman Linneweh wrote:
 > > Hi portmgr,
 > > 
 > > Thanks for adding the new category.
 > > Now its time to populate it.
 > > 
 > > I would like to request the following repocopies:
 > > 
 > > ports/net/ekg -> ports/polish/ekg
 > > ports/net/gnugadu -> ports/polish/gnugadu
 > > ports/misc/pl-sms -> ports/polish/pl-sms
 > 
 > There will be an implicit pl- PKGNAMEPREFIX on all ports in the polish
 > category.  Therefore, you should do misc/pl-sms -> polish/sms.
 > 
 > > ports/misc/kde3-i18n-pl -> ports/polish/kde3-i18n
 > > ports/misc/koffice-i18n-pl -> ports/polish/koffice-i18n
 > > ports/textproc/pl-aspell -> ports/polish/aspell
 > 
 > There reset look okay.  Approved.
 
 Thanks!
 
 While finishing the Repocopy I noticed I missed two ports.
 
 ports/editors/ooodict-pl_PL -> ports/polish/ooodict-pl_PL
 ports/editors/openoffice-pl -> ports/polish/openoffice
Comment 9 Ceri Davies freebsd_committer 2003-08-25 19:29:20 UTC
Adding to audit trail, from misfiled PR ports/55732:

Date: Tue, 19 Aug 2003 11:28:23 +0100
From: Josef Karthauser <joe@FreeBSD.org>
Message-Id: <20030819102823.GE32347@genius.tao.org.uk>
References: <200308162042.00266.arved@FreeBSD.org> <1061059974.54862.9.camel@shumai.marcuscom.com> <1061288097.23643.229.camel@sauna.arved.de>

 On Tue, Aug 19, 2003 at 12:14:57PM +0200, Tilman Linneweh wrote:
 >
 > While finishing the Repocopy I noticed I missed two ports.
 >
 > ports/editors/ooodict-pl_PL -> ports/polish/ooodict-pl_PL
 
 Shouldn't this be renamed to ports/polish/ooodic_PL or just
 ports/polish/ooodict?
 
 > ports/editors/openoffice-pl -> ports/polish/openoffice
 
 Joe
 --
 Josef Karthauser (joe@tao.org.uk)	       http://www.josef-k.net/
 FreeBSD (cvs meister, admin and hacker)     http://www.uk.FreeBSD.org/
 Physics Particle Theory (student)   http://www.pact.cpes.sussex.ac.uk/
 An eclectic mix of fact and theory.
Comment 10 Ceri Davies freebsd_committer 2003-08-25 19:29:41 UTC
Adding to audit trail, from misfiled PR ports/55749:

Date: Tue, 19 Aug 2003 11:54:01 -0400
From: Joe Marcus Clarke <marcus@marcuscom.com>
Message-Id: <1061308441.714.0.camel@gyros>
References: <200308162042.00266.arved@FreeBSD.org>
	 <1061059974.54862.9.camel@shumai.marcuscom.com>
	 <1061288097.23643.229.camel@sauna.arved.de>
	 <20030819102823.GE32347@genius.tao.org.uk>

 On Tue, 2003-08-19 at 06:28, Josef Karthauser wrote:
 > On Tue, Aug 19, 2003 at 12:14:57PM +0200, Tilman Linneweh wrote:
 > >=20
 > > While finishing the Repocopy I noticed I missed two ports.
 > >=20
 > > ports/editors/ooodict-pl_PL -> ports/polish/ooodict-pl_PL
 >=20
 > Shouldn't this be renamed to ports/polish/ooodic_PL or just
 > ports/polish/ooodict?
 
 I like ooodic, but I think it will be more consistent as ooodic_PL.
 
 Joe
Comment 11 Ceri Davies freebsd_committer 2003-08-25 19:30:00 UTC
Adding to audit trail, from misfiled PR ports/55808:

Date: Wed, 20 Aug 2003 15:43:02 +0100
From: Josef Karthauser <joe@FreeBSD.org>
Message-Id: <20030820144302.GG42350@genius.tao.org.uk>
References: <200308162042.00266.arved@FreeBSD.org> <1061059974.54862.9.camel@shumai.marcuscom.com> <1061288097.23643.229.camel@sauna.arved.de> <20030819102823.GE32347@genius.tao.org.uk> <1061308441.714.0.camel@gyros>

 On Tue, Aug 19, 2003 at 11:54:01AM -0400, Joe Marcus Clarke wrote:
 > On Tue, 2003-08-19 at 06:28, Josef Karthauser wrote:
 > > On Tue, Aug 19, 2003 at 12:14:57PM +0200, Tilman Linneweh wrote:
 > > >
 > > > While finishing the Repocopy I noticed I missed two ports.
 > > >
 > > > ports/editors/ooodict-pl_PL -> ports/polish/ooodict-pl_PL
 > >
 > > Shouldn't this be renamed to ports/polish/ooodic_PL or just
 > > ports/polish/ooodict?
 >
 > I like ooodic, but I think it will be more consistent as ooodic_PL.
 >
 
 Ok, I've repocopied it as as ooodic_PL.
 
 > > > ports/editors/openoffice-pl -> ports/polish/openoffice
 
 This one has been done too.
 
 Joe
 --
 Josef Karthauser (joe@tao.org.uk)	       http://www.josef-k.net/
 FreeBSD (cvs meister, admin and hacker)     http://www.uk.FreeBSD.org/
 Physics Particle Theory (student)   http://www.pact.cpes.sussex.ac.uk/
 An eclectic mix of fact and theory.
Comment 12 Tilman Keskinoz freebsd_committer 2003-09-10 09:02:52 UTC
State Changed
From-To: open->closed

Just noticed marcus already finished the last repocopies, so everything is  
done now.